# QTextBlock Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTextBlock()
- void QTextBlock(QTextBlock o)

### Constructor Properties

- prototype: The QTextBlock prototype object

### Prototype Object Properties

- QTextBlock_iterator begin()
- QTextBlockFormat blockFormat()
- int blockFormatIndex()
- int blockNumber()
- QTextCharFormat charFormat()
- int charFormatIndex()
- void clearLayout()
- bool contains(int position)
- QTextDocument document()
- QTextBlock_iterator end()
- int firstLineNumber()
- int fragmentIndex()
- bool isValid()
- bool isVisible()
- QTextLayout layout()
- int length()
- int lineCount()
- QTextBlock next()
- bool operator_equal(QTextBlock o)
- bool operator_less(QTextBlock o)
- int position()
- QTextBlock previous()
- int revision()
- void setLineCount(int count)
- void setRevision(int rev)
- void setUserData(QTextBlockUserData data)
- void setUserState(int state)
- void setVisible(bool visible)
- String text()
- LayoutDirection textDirection()
- QTextList textList()
- QTextBlockUserData userData()
- int userState()

### Instance Properties

QTextBlock objects have no special properties beyond those inherited from the QTextBlock prototype object.